package com.smugmugsoftware.airconcalc.advanced;

import android.content.Context;

public interface MainActivityInterface {
	
	public void displayAreaWizardDialog(Context c, int type);
	public void displayConstNoDialog(Context c, String[] s);
	public void getStringFromDialog(int which, String s);
	public void getDoubleFromDialog(int which, double d);
	public void getDataFromDialog(int which, double[] d, int facing);
	public void displayAreaWizardDialog(Context c, int type, int subType, int[] data);
	public void shadeAreaError();
	public void getDataFromDialog(int which, double[] d);
	public void displaySensibleLoadDialog(Context c, int type);
	public void getDataFromDialog(int type, double[] data, String[] returnList);
	public void displaySensibleLoadDialog(Context context, int type, String subType);
	public void displaySensibleLoadDialog(Context context, int type, String[] array);
	public void displayConfirmDialog(Context context, int dialogType, int type, long id);
	public void returnFromConfirmDialog(int dialogType, int type, long id);
	public void openRoomEditor(long i, Building building);
	public void closeRoomEditor(Room room);
	public void displayLocaleDialog(Context context, String[] newSearchString);
	public void openLocaleEditor(Building building);
	public void closeLocaleEditor(Building building);
	public void closeReport();
	public void openReport(Building building);
	public void openChart(Building building);
	public void closeChart();
	public String getNumberString(int number, int places);
	public String getNumberString(double number, int places);
	public double getDecimalFromString(String str);
	public int getIntFromString(String str);
	public void displayInfoDialog(Context context, int type, String showAgainTag);
}
